package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * @author hongzq
 */
public class ChangeSupplyReq implements Serializable {

    @NotBlank(message = "订单id不能为空")
    private String orderIds;

    @NotBlank(message = "出库仓库不能为空")
    private String outWarehouseId;

    @NotBlank(message = "改派原因不能为空")
    private String reason;

    public String getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(String orderIds) {
        this.orderIds = orderIds;
    }

    public String getOutWarehouseId() {
        return outWarehouseId;
    }

    public void setOutWarehouseId(String outWarehouseId) {
        this.outWarehouseId = outWarehouseId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
